Name: rrdtool
Version: 1.2.30
Release: 1
Summary: Round Robin Database Tool to store and display time-series data
License: GPL
Group: Applications/Databases
URL: http://people.ee.ethz.ch/~oetiker/webtools/rrdtool/
Source: http://people.ee.ethz.ch/~oetiker/webtools/rrdtool/pub/rrdtool-%{version}.tar.gz
Patch0: rrdtool-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: openssl-devel
BuildRequires: libart_lgpl-devel >= 2.0
BuildRequires: libpng-devel
BuildRequires: zlib-devel
BuildRequires: freetype2-devel
Requires: freetype2
Requires: zlib
Requires: libpng
Requires: libart_lgpl

%description
RRD is the Acronym for Round Robin Database. RRD is a system to store and 
display time-series data (i.e. network bandwidth, machine-room temperature, 
server load average). It stores the data in a very compact way that will not 
expand over time, and it presents useful graphs by processing the data to 
enforce a certain data density. It can be used either via simple wrapper 
scripts (from shell or Perl) or via frontends that poll network devices and 
put a friendly user interface on it.

%package devel
Summary: RRDtool static libraries and header files
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average). This package allow you to use directly this library.

%package -n rrdtool-perl
Summary: Perl RRDtool bindings
Group: Development/Languages
Requires: %{name} = %{version}
BuildRequires: perl >= 5.8.8
Requires: perl >= 5.8.8

%description -n rrdtool-perl
The Perl RRDtool bindings.

#%package -n php-rrdtool
#Summary: RRDtool module for PHP
#Group: Development/Languages
#Requires: %{name} = %{version}, php >= 4.0

#%description -n php-rrdtool
#The php-%{name} package includes a dynamic shared object (DSO) that adds
#RRDtool bindings to the PHP HTML-embedded scripting language.


%prep
%setup -q
%patch0 -p0


%build
export PATH=/opt/freeware/bin:$PATH

# setup environment for 32-bit and 64-bit builds
export AR="/usr/bin/ar -X32_64"
export NM="/usr/bin/nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --enable-static \
    --disable-tcl --disable-python --disable-ruby
make %{?_smp_mflags}

cp src/.libs/librrd.so.2 .
cp src/.libs/librrd_th.so.2 .
cp -pr doc doc.SAVE
make distclean
rm -rf doc
mv -f doc.SAVE doc

# now build the 32-bit version
export CC=xlc
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_prefix}/man \
    --enable-shared --enable-static \
    --disable-tcl --disable-python --disable-ruby
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q src/.libs/librrd.a ./librrd.so.2
${AR} -q src/.libs/librrd_th.a ./librrd_th.so.2


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# make symlinks from /opt/freeware/bin/* to /usr/bin/*
mkdir -p $RPM_BUILD_ROOT/usr/bin/
ln -sf /opt/freeware/bin/rrdcgi $RPM_BUILD_ROOT/usr/bin/rrdcgi
ln -sf /opt/freeware/bin/rrdtool $RPM_BUILD_ROOT/usr/bin/rrdtool
ln -sf /opt/freeware/bin/rrdupdate $RPM_BUILD_ROOT/usr/bin/rrdupdate

# We only want .txt and .html files for the main documentation
%{__mkdir_p} rpm-doc/docs/
/opt/freeware/bin/cp -ap doc/*.txt doc/*.html rpm-doc/docs/

%{__rm} -f examples/Makefile* examples/*.in

# Clean up buildroot
%{__rm} -rf %{buildroot}%{_libdir}/perl/5.8.8/ppc-aix/*/*/.packlist


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

 
%files
%defattr(-,root,system,-)
%doc CHANGES CONTRIBUTORS COPYING COPYRIGHT NEWS README THREADS TODO
%doc rpm-doc/docs/
%doc %{_mandir}/man1/*.1*
%{_bindir}/rrdcgi
%{_bindir}/rrdtool
%{_bindir}/rrdupdate
%{_libdir}/librrd.a
%{_libdir}/librrd_th.a
%{_datadir}/rrdtool/fonts/
/usr/bin/rrdcgi
/usr/bin/rrdtool
/usr/bin/rrdupdate


%files devel
%defattr(-,root,system,-)
%{_includedir}/rrd.h
%{_libdir}/librrd.la
%{_libdir}/librrd_th.la


%files -n rrdtool-perl
%defattr(-,root,system,-)
%doc examples/
%{_libdir}/perl/5.*/*
%{_mandir}/man3/*
%{_datadir}/rrdtool/examples/


%changelog
* Mon Jan 19 2009 Michael Perzl <michael@perzl.org> - 1.2.30-1
- updated to version 1.2.30

* Fri Jan 16 2009 Michael Perzl <michael@perzl.org> - 1.2.29-1
- updated to version 1.2.29

* Mon Nov 24 2008 Michael Perzl <michael@perzl.org> - 1.2.28-1
- updated to version 1.2.28

* Fri Feb 22 2008 Michael Perzl <michael@perzl.org> - 1.2.27-1
- updated to version 1.2.27

* Fri Jan 11 2008 Michael Perzl <michael@perzl.org> - 1.2.26-2
- included both 32-bit and 64-bit shared objects

* Wed Nov 21 2007 Michael Perzl <michael at perzl dot org> - 1.2.26-1
- updated to version 1.2.26

* Wed Nov 15 2007 Michael Perzl <michael at perzl dot org> - 1.2.25-1
- updated to version 1.2.25

* Mon Nov 12 2007 Michael Perzl <michael at perzl dot org> - 1.2.23-2
- prevent rrdtool from core dumping when compiled with shared library

* Wed Jul 11 2007 Michael Perzl <michael at perzl dot org> - 1.2.23-1
- first version for AIX V5.1 and higher
